import { Texture } from 'three';
import SpeckleStandardMaterial from './SpeckleStandardMaterial';
import { Uniforms } from './SpeckleMaterial';
declare class SpeckleStandardColoredMaterial extends SpeckleStandardMaterial {
    protected get vertexProgram(): string;
    protected get fragmentProgram(): string;
    protected get uniformsDef(): Uniforms;
    constructor(parameters: any, defines?: string[]);
    setGradientTexture(texture: Texture): void;
}
export default SpeckleStandardColoredMaterial;
